## org.apache.batik.ext.awt.image.renderable
Interface ComponentTransferRable

All Superinterfaces:
  Filter, FilterColorInterpolation, java.awt.image.renderable.RenderableImage

All Known Implementing Classes:
  ComponentTransferRable8Bit

public interface ComponentTransferRable
extends FilterColorInterpolation

Defines the interface expected from a component transfer operation.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`ComponentTransferFunction` `getAlphaFunction()` Returns the transfer function for the alpha channel
`ComponentTransferFunction` `getBlueFunction()` Returns the transfer function for the blue channel
`ComponentTransferFunction` `getGreenFunction()` Returns the transfer function for the green channel
`ComponentTransferFunction` `getRedFunction()` Returns the transfer function for the red channel
`Filter` `getSource()` Returns the source to be offset.
`void` `setAlphaFunction(ComponentTransferFunction alphaFunction)` Sets the transfer function for the alpha channel
`void` `setBlueFunction(ComponentTransferFunction blueFunction)` Sets the transfer function for the blue channel
`void` `setGreenFunction(ComponentTransferFunction greenFunction)` Sets the transfer function for the green channel
`void` `setRedFunction(ComponentTransferFunction redFunction)` Sets the transfer function for the red channel
`void` `setSource(Filter src)` Sets the source to be offset.

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getSource

    public Filter getSource()

  Returns the source to be offset.

### setSource

    public void setSource(Filter src)

  Sets the source to be offset.

  Parameters:
    `src` - image to offset.

### getAlphaFunction

    public ComponentTransferFunction getAlphaFunction()

  Returns the transfer function for the alpha channel

### setAlphaFunction

    public void setAlphaFunction(ComponentTransferFunction alphaFunction)

  Sets the transfer function for the alpha channel

### getRedFunction

    public ComponentTransferFunction getRedFunction()

  Returns the transfer function for the red channel

### setRedFunction

    public void setRedFunction(ComponentTransferFunction redFunction)

  Sets the transfer function for the red channel

### getGreenFunction

    public ComponentTransferFunction getGreenFunction()

  Returns the transfer function for the green channel

### setGreenFunction

    public void setGreenFunction(ComponentTransferFunction greenFunction)

  Sets the transfer function for the green channel

### getBlueFunction

    public ComponentTransferFunction getBlueFunction()

  Returns the transfer function for the blue channel

### setBlueFunction

    public void setBlueFunction(ComponentTransferFunction blueFunction)

  Sets the transfer function for the blue channel

Copyright © 2004 Apache Software Foundation. All Rights Reserved.